package com.langtech.plm.form;

import java.sql.Date;



public class LD6_NewProdForm_Bean {

    private String clientProductFolderName;
    private String clientProductFolderPUID;
    private String newProductTaskItem;
    private String assignee;
    private String newProductTaskDescription;
    private String processor;
    private String positionGroup;
    private String taskNature;
    private String difficultyLevel;
    private String urgencyLevelCode;
    private String estimatedBusinessHours;
    private String actualBusinessHours;
    private Date dueDate;
    private Date completionDate;
    private String remarks;
    private Date TaskAssignmentDate;
    private String CustomerName;
    private String FormUid;
    // Getters and Setters (Accessors and Mutators)

    
    public String getClientProductFolderName() {
        return clientProductFolderName;
    }
   
    public LD6_NewProdForm_Bean(String clientProductFolderName, String clientProductFolderPUID,
			String newProductTaskItem, String assignee, String newProductTaskDescription, String processor,
			String positionGroup, String taskNature, String difficultyLevel, String urgencyLevelCode,
			String estimatedBusinessHours, String actualBusinessHours, Date dueDate, Date completionDate,
			String remarks, Date taskAssignmentDate, String customerName, String formUid) {
		super();
		this.clientProductFolderName = clientProductFolderName;
		this.clientProductFolderPUID = clientProductFolderPUID;
		this.newProductTaskItem = newProductTaskItem;
		this.assignee = assignee;
		this.newProductTaskDescription = newProductTaskDescription;
		this.processor = processor;
		this.positionGroup = positionGroup;
		this.taskNature = taskNature;
		this.difficultyLevel = difficultyLevel;
		this.urgencyLevelCode = urgencyLevelCode;
		this.estimatedBusinessHours = estimatedBusinessHours;
		this.actualBusinessHours = actualBusinessHours;
		this.dueDate = dueDate;
		this.completionDate = completionDate;
		this.remarks = remarks;
		TaskAssignmentDate = taskAssignmentDate;
		CustomerName = customerName;
		FormUid = formUid;
	}

	public Date getTaskAssignmentDate() {
		return TaskAssignmentDate;
	}

	public void setTaskAssignmentDate(Date taskAssignmentDate) {
		TaskAssignmentDate = taskAssignmentDate;
	}

	public String getCustomerName() {
		return CustomerName;
	}

	public void setCustomerName(String customerName) {
		CustomerName = customerName;
	}

	public String getFormUid() {
		return FormUid;
	}

	public void setFormUid(String formUid) {
		FormUid = formUid;
	}

	public void setClientProductFolderName(String clientProductFolderName) {
        this.clientProductFolderName = clientProductFolderName;
    }

    public String getClientProductFolderPUID() {
        return clientProductFolderPUID;
    }

    public void setClientProductFolderPUID(String clientProductFolderPUID) {
        this.clientProductFolderPUID = clientProductFolderPUID;
    }

    public String getNewProductTaskItem() {
        return newProductTaskItem;
    }

    public void setNewProductTaskItem(String newProductTaskItem) {
        this.newProductTaskItem = newProductTaskItem;
    }

    public String getAssignee() {
        return assignee;
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public String getNewProductTaskDescription() {
        return newProductTaskDescription;
    }

    public void setNewProductTaskDescription(String newProductTaskDescription) {
        this.newProductTaskDescription = newProductTaskDescription;
    }

    public String getProcessor() {
        return processor;
    }

    public void setProcessor(String processor) {
        this.processor = processor;
    }

    public String getPositionGroup() {
        return positionGroup;
    }

    public void setPositionGroup(String positionGroup) {
        this.positionGroup = positionGroup;
    }

    public String getTaskNature() {
        return taskNature;
    }

    public void setTaskNature(String taskNature) {
        this.taskNature = taskNature;
    }

    public String getDifficultyLevel() {
        return difficultyLevel;
    }

    public void setDifficultyLevel(String difficultyLevel) {
        this.difficultyLevel = difficultyLevel;
    }

    public String getUrgencyLevelCode() {
        return urgencyLevelCode;
    }

    public void setUrgencyLevelCode(String urgencyLevelCode) {
        this.urgencyLevelCode = urgencyLevelCode;
    }

    public String getEstimatedBusinessHours() {
        return estimatedBusinessHours;
    }

    public void setEstimatedBusinessHours(String estimatedBusinessHours) {
        this.estimatedBusinessHours = estimatedBusinessHours;
    }

    public String getActualBusinessHours() {
        return actualBusinessHours;
    }

    public void setActualBusinessHours(String actualBusinessHours) {
        this.actualBusinessHours = actualBusinessHours;
    }

    public Date getDueDate() {
        return dueDate;
    }

    public void setDueDate(Date dueDate) {
        this.dueDate = dueDate;
    }

 

	public Date getCompletionDate() {
        return completionDate;
    }

    public void setCompletionDate(Date completionDate) {
        this.completionDate = completionDate;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
	@Override
	public String toString() {
		return "LD6_NewProdForm_Bean [clientProductFolderName=" + clientProductFolderName + ", clientProductFolderPUID="
				+ clientProductFolderPUID + ", newProductTaskItem=" + newProductTaskItem + ", assignee=" + assignee
				+ ", newProductTaskDescription=" + newProductTaskDescription + ", processor=" + processor
				+ ", positionGroup=" + positionGroup + ", taskNature=" + taskNature + ", difficultyLevel="
				+ difficultyLevel + ", urgencyLevelCode=" + urgencyLevelCode + ", estimatedBusinessHours="
				+ estimatedBusinessHours + ", actualBusinessHours=" + actualBusinessHours + ", dueDate=" + dueDate
				+ ", completionDate=" + completionDate + ", remarks=" + remarks + "]";
	}
    
}